/* Start Navbar */
.navbar {
    display: flex;
    align-items: center;
    margin: 5px;
    line-height: 1 !important;
    border-bottom: 1px solid #1a1a1a;
}

.navbar a {
    color: white;
    text-decoration: none;
    padding: 15px; 
    text-shadow: 2px 2px 3px black; 
    border-radius: 25px;
    box-shadow: 0px 0px 0px 0px #FFDF00;
    transition: all ease-in 250ms;
}

.navbar a:hover{
    color: #FFDF00;
    background-color: rgba(0,0,0,.35);
    box-shadow: 0px 0px 0px 2px #FFDF00;
    transform: scale(1.05);
}

.navbar_menu_icon{
    background-color: white;
    -webkit-mask: url('/components/navbar/menu_icon_v2.svg') no-repeat center;
    mask: url('/components/navbar/menu_icon_v2.svg') no-repeat center;
}

.navbar_menu_icon:hover{
    background-color: #DEB82D;
}

.navbar div {
    display: flex;
    align-items: center;
}

.navsrch_container {
    margin: auto;
    width: 40%;
}

.navbar form {
    padding: 0;
    margin: 0;
    width: 100%;
}

.banner-notice {
    border-left: 3px solid #FFDF00;
    margin: auto;
    margin-bottom: 1rem;
    margin-top: 1rem;
    width: 80%;
    white-space:wrap;
}

@media screen and (max-width:768px){
    #footer{
        justify-content: space-between !important;
    }

    .navbar-input-search:focus{
        width: 100px !important;
    }

    .navsrch_container{
        width: 100%;
    }
}

#sidebar, #accountBar {
    margin: 0px;
    margin-left: 2px;
    margin-right: 2px;
    width: 200px;
    background-color: black;
    position: absolute;
    text-align: center;
    z-index: 9999;
    display:flex;
    flex: none; 
    flex-direction: column;

    border-radius: 25px;
    box-shadow: 0px 0px 0px 2px rgba(255, 221, 0, .1);

    transition:all ease-in 250ms;

    transform-origin: top;
            transform: scaleY(0);
}

#sidebar:hover, #accountBar:hover{
    box-shadow: 0px 0px 0px 2px #FFDF00;
    
}
#sidebar a, #accountBar  a{
    display:block; 
    padding: 15px;
    color: white;
    text-decoration: none;
    transition:all ease-in 250ms;
}
#sidebar a:hover, #accountBar a:hover {
    background-color: #DEB82D;
    color: black;
}

#accountBar {
    right:0;
}
/* EndNav Bars */


.navbar-icon-container{
    width: fit-content;
    height: fit-content;
    position: relative;
    padding: 3px;
    margin: 3px;
      max-height: 45px;
      max-width: 45px;
      border-radius: 50%;
      border: 2px double #FFDF00;
  }
  
  .navbar-icon-container:hover{
      border: 2px solid #FFDF00;
      max-height: 48px;
      max-width: 48px;
      cursor: pointer;
  }
  .navbar-icon{
      height: 100%;
      width: 100%;
      padding: 2px;
  }
  

  .navbar-input-search{
    height: 48px;
    width: 48px;
  
    outline: none;
    border-radius: 25px;
    transition: all .5s ease-in-out;
    background-image:url('/res/navbar/search_icon.png');
    background-size: contain;background-repeat: no-repeat;
    background-position: center;
    border: 2px double #FFDF00;
  
    color:#fff;
  }
  
  .navbar-icon:hover, .navbar-input-search:hover{
      cursor: pointer;
  }
  
  .navbar-input-search::placeholder{
    color:rgba(255,255,255,.5);
    font-size: 18px;
    letter-spacing: 2px;
    font-weight: 100;
  }
  
   .navsearch:focus, .navsearch:hover{
    background-color: rgba(8,8,8,.8);
    border: 1px solid #FFDF00; 
    color:white;
    cursor: pointer;
  }

  .navsearch{ 
    outline: none;
    width: 80%;  
    border-radius: 25px; 
    padding: 10px; 
    font-size: 15px; 
    border:1px solid white; 
    background-color: rgba(68,68,68,.48);
    transition: all 300ms ease-in;
    border: 1px solid rgba(68,68,68,1);
  }

  
  .search_icon{
        cursor:pointer;
        position: relative;
        right: 45px;
        padding: 15px;
        background-color:white;
        -webkit-mask: url('/res/icons/search.svg') no-repeat center;
        mask: url('/res/icons/search.svg') no-repeat center;
    }

  .navsearch::placeholder{
    color: white;
  }

  #navbar_account_icon{
    padding: 0px; height:40px; width: 40px; border-radius: 50%;
    
    > img{
        height:100%; width: 100%; border-radius: 50%;
    }
  }
  /* End Navbar */